summaryrefslogtreecommitdiff
path: root/google-compute-engine.configure
diff options
context:
space:
mode:
Diffstat (limited to 'google-compute-engine.configure')
-rw-r--r--google-compute-engine.configure29
1 files changed, 29 insertions, 0 deletions
diff --git a/google-compute-engine.configure b/google-compute-engine.configure
new file mode 100644
index 00000000..95af1bcf
--- /dev/null
+++ b/google-compute-engine.configure
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright (C) 2013-2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+ln -s ../../../../usr/lib/systemd/system/google-accounts-manager.service "$ROOT"/etc/systemd/system/multi-user.target.wants/google-accounts-manager.service
+ln -s ../../../../usr/lib/systemd/system/google-address-manager.service "$ROOT"/etc/systemd/system/multi-user.target.wants/google-address-manager.service
+ln -s ../../../../usr/lib/systemd/system/google-startup-scripts.service "$ROOT"/etc/systemd/system/multi-user.target.wants/google-startup-scripts.service
+ln -s ../../../../usr/lib/systemd/system/google.service "$ROOT"/etc/systemd/system/multi-user.target.wants/google.service
+# Needed as Google's network really doesn't like a 1500 MTU, makes ssh impossible.
+ln -s ../../../../usr/lib/systemd/system/setmtu@.service "$ROOT"/etc/systemd/system/multi-user.target.wants/setmtu@eth0.service
+
+# Server on public ip probably shouldn't have passwordless root, user accounts and ssh login handled by google-daemon.
+sed -i "1s/.*/root\:!!\:\:\:\:\:\:\:/" "$ROOT"/etc/shadow